Tails 3.0 需要 64-位元處理器x86-64 相容的處理器。 不同於之前Tails 的老舊版本,它將無法運行在 32-位元處理器上。

我們已等待多年直到現在覺得是時候進行這項轉變了。當然它是一個困難的決定。今天我們要說明為什麼最終做出了這個決定,它會如何地影響使用者,以及何時。

這個轉型何時會進行呢?

我們現在的目標是在2017年6月13日發佈 Tails 3.0 並且停止支援 32-位元處理器。

Tails 是否能繼續在這台電腦上運行呢?

這裏有最快的方法可以找到:

  1. 啟動Tails 。
  2. 選擇Applications ▸ Utilities ▸ Terminal 來開啟端終器。
  3. 請執行以下指令以顯示系統資訊:

        uname -m
    
  4. 那麼,可能有二種情況:

    • 如果看到x86_64, 那麼你可幸運了: Tails 3.0 應該可以運行在這台電腦上。但是能夠 100% 確認的最佳方式是用 Tails 3.0. 測試版本試試。在去年11月已發佈了一個版本,預計本週內將會再發佈一個新版本,所以:請保持注意!

    • 此外如果看到 i686,那麼要告訴你一個壞消息 Tails 3.0 將 不能 運行在這台腦上。你現在只有想辦法找一台 64-位元處理器的電腦了。很抱歉,只能祝你好運!

為何要改變?

無怪乎自從去年, Tails 的用戶中使用 32-位元電腦的數字明顯下降:大多數 32-位元的電腦至少有十年以上了, 其中許多的硬體也差不多無法工作了。2016年初, 只有 4% 的 Tails 使用者仍然使用 32-位元的電腦。

這些統計數據是收集自我們從WhisperBack取得的錯誤回報。

當然有些電腦會再運行一段時日。但是一旦這個數字已超過某些界限,轉換Tails到 64-位元處理器的好處多過於我們繼續維持支援 32-位元的電腦。

主要有二個原因讓我們將Tails 3.0 轉換到 64-位元:

  • 我們要讓 Tails 使用者更安全:64-位元處理器所編譯的軟體可以受惠於一些改善措施,讓攻擊者更難對安全弱點予以破壞 (改善的 Address space layout randomization, 強制支援NX bit).

  • 我們希望專案能更為永續存活: Tails 用於 64-位元 Linux 核心 的機器上已有一段時日了。然而其它在 Tails 底下的應用程式仍然是採 32-位元的處理器因此其相容性問題越來越多。過去幾年,開發者花了許多時間精力在此問題,我們寧願他們能把精力放在能長期加惠使用者的地方,而不是那些如果最終轉換到 64-位元即會消失的課題上。

謝謝你的關注,也對於造成不便感到抱歉。